Gets the version of the timezonedb

- « timezone_transitions_get

- Date/Time Errors and Exceptions »

- PHP Manual
- Date/Time Functions
- Gets the version of the timezonedb

# timezone_version_get

(PHP 5 >= 5.3.0, PHP 7, PHP 8)

timezone_version_get — Gets the version of the timezonedb

### Description

timezone_version_get(): string

Returns the current version of the timezonedb.

### Parameters

This function has no parameters.

### Return Values

Returns a string in the format `YYYY.increment`, such as `2022.2`.

If you have a timezone database version that is old (for example, it doesn't show the current year), then you can update the timezone information by either upgrading your PHP version, or installing the » timezonedb PECL package.

Some Linux distributions patch PHP's date/time support to use an alternative source for timezone information. In which case this function will return `0.system`. You are encouraged to install the » timezonedb PECL package in that case as well.

### Examples

Example #1 Getting the timezonedb version

    <?phpecho timezone_version_get();?>

The above example will output something similar to:

    2022.2

### See Also

- List of Supported Timezones